#include <algorithm>
#include <ctype.h>
#include <math.h>
#include <stdio.h>
#include <string.h>

using namespace std;

FILE* in=fopen("box.in","r");
//FILE* in=stdin;
FILE* out=fopen("box.out","w");
//FILE* out=stdout;
struct priam
{
	long w,h;
} p[10],s,t;
bool operator<(const priam &a,const priam &b)
{
	if (a.w!=b.w)
		return a.w<b.w;
	return a.h<b.h;
}
bool operator!=(const priam &a,const priam &b)
{
	if (a.w!=b.w || a.h!=b.h) return true;
	return false;
}
bool operator==(const priam &a,const priam &b)
{
	if (a.w==b.w && a.h==b.h) return true;
	return false;
}

int main()
{
	long i,j,fl,tmp;
	for(i=0;i<6;i++)
	{
		fscanf(in,"%ld%ld",&p[i].h,&p[i].w);
		if (p[i].h>p[i].w)
		{
			tmp=p[i].h;
			p[i].h=p[i].w;
			p[i].w=tmp;
		}
	}
	sort(p,p+6);
	if (p[0]!=p[1] || p[2]!=p[3] || p[4]!=p[5])
	{
		fprintf(out,"IMPOSSIBLE\n");
		return 0;
	}
	fl=0;
	for(i=0;i<2;i++)
		for(j=0;j<2;j++)
		{
			if (i==0)
			{
				s.w=p[2].w;
				s.h=p[2].h;
			}
			else
			{
				s.w=p[2].h;
				s.h=p[2].w;
			}
			
			if (j==0)
			{
				t.w=p[4].w;
				t.h=p[4].h;
			}
			else
			{
				t.w=p[4].h;
				t.h=p[4].w;
			}
			if (p[0].w==t.w && p[0].h==s.h && s.w==t.h)
				fl=1;
		}
	if (fl)
		fprintf(out,"POSSIBLE\n");
	else
		fprintf(out,"IMPOSSIBLE\n");
	return 0;
}